# $Id: multi-gnome-terminal.spec,v 1.8 2003/01/15 15:08:52 dude Exp $

%define	desktop_vendor	freshrpms

Summary: Extended version of the GNOME terminal.
Name: multi-gnome-terminal
Version: 1.6.1
Release: fr3
License: GPL
Group: User Interface/Desktops
Source: http://multignometerm.sourceforge.net/%{name}-%{version}.tar.bz2
URL: http://multignometerm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.5, gnome-libs >= 1.0.59, gdk-pixbuf >= 0.7.0
BuildRequires: gtk+-devel, gnome-libs-devel, gdk-pixbuf-devel
BuildRequires: desktop-file-utils

%description
Multi Gnome Terminal offers a lot of useful and powerful extensions to the
gnome-terminal. The extensions are : multiple terminal support (as konsole),
various ways of switching to other terminals, changing the title of a
terminal, and many other keyboard controlled features...

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags} -DREDHAT_TERM"

%install
rm -rf %{buildroot}
%makeinstall

# Remove unpackaged files
rm -f %{buildroot}%{_datadir}/gnome/apps/System/%{name}.desktop
rm -f %{buildroot}%{_infodir}/*
rm -rf %{buildroot}/var/scrollkeeper

# Current menu entry is all broken
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Multi GNOME terminal
Comment=Enhanced Terminal emulation program
Exec=%{name} --use-factory --start-factory-server
Icon=mgt/multignometerm.png
Terminal=0
Type=Application
DocPath=%{name}/index.html
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Extra                \
  --add-category Application                    \
  --add-category System                         \
  --add-category Utility                        \
  %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/CORBA/servers/%{name}.gnorba
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/idl/MultiTerminal.idl
%{_datadir}/mgt
%{_datadir}/omf/mgt
%{_datadir}/pixmaps/mgt
%{_mandir}/man1/*.1*

%changelog
* Wed Jan 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0 (new menu entry and minor cleanups).

* Mon Sep  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.6.1.

* Fri Jul 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.5.2.

* Wed Jul 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed missing mgt-helper file, thanks to Alex Lancaster.

* Wed Jul  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.5.1.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.5.0.

* Wed May  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added -DREDHAT_TERM.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.4.1.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

